Bug 468057 - (CVE-2008-4641) CVE-2008-4641 jhead: command exection caused by incorrect handling of the shell escapes
CVE-2008-4641 jhead: command exection caused by incorrect handling of the she...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,public=20081015,re...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 11:42 EDT by Tomas Hoger
Modified: 2009-03-06 08:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 08:11:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 504194 None None None Never

  None (edit)
Description Tomas Hoger 2008-10-22 11:42:08 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4641 to the following vulnerability:

The DoCommand function in jhead.c in Matthias Wandel jhead 2.84 and
earlier allows attackers to execute arbitrary commands via shell
metacharacters in unspecified input.

References:
https://bugs.launchpad.net/ubuntu/+source/jhead/+bug/271020
http://www.openwall.com/lists/oss-security/2008/10/15/5
http://www.openwall.com/lists/oss-security/2008/10/15/6
http://www.openwall.com/lists/oss-security/2008/10/16/3
Comment 1 Tomas Hoger 2008-11-03 11:24:19 EST
Debian bug report contains a proposed patch that implements simple shellescape function that does escaping of the filenames passed to the external programs:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504194#61

(Patch is not (yet?) upstream, bug also contains further feedback from the upstream author.)
Comment 2 Adrian Reber 2009-02-16 09:16:48 EST
debian has released jhead 2.86 which seems to fix this error.
Comment 4 Fedora Update System 2009-03-05 11:31:43 EST
jhead-2.86-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-03-05 11:32:38 EST
jhead-2.86-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Red Hat Product Security 2009-03-06 08:11:40 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F10/FEDORA-2009-1824
  https://admin.fedoraproject.org/updates/F9/FEDORA-2009-1776

Note You need to log in before you can comment on or make changes to this bug.